Help us shape the future of Go! Take the 2026 Go Developer Survey

pet

package
v0.2.0 Latest Latest
Warning

This package is not in the latest version of its module.

Go to latest
Published: Dec 25, 2015 License: Apache-2.0 Imports: 9 Imported by: 0

Documentation

Index

Constants

This section is empty.

Variables

This section is empty.

Functions

This section is empty.

Types

type AddPet

type AddPet struct {
	Context *middleware.Context
	Params  AddPetParams
	Handler AddPetHandler
}

AddPet swagger:route POST /pet pet addPet

Add a new pet to the store

func NewAddPet

func NewAddPet(ctx *middleware.Context, handler AddPetHandler) *AddPet

NewAddPet creates a new http.Handler for the add pet operation

func (*AddPet) ServeHTTP

func (o *AddPet) ServeHTTP(rw http.ResponseWriter, r *http.Request)

type AddPetHandler

type AddPetHandler interface {
	Handle(AddPetParams, interface{}) middleware.Responder
}

AddPetHandler interface for that can handle valid add pet params

type AddPetHandlerFunc

type AddPetHandlerFunc func(AddPetParams, interface{}) middleware.Responder

AddPetHandlerFunc turns a function with the right signature into a add pet handler

func (AddPetHandlerFunc) Handle

func (fn AddPetHandlerFunc) Handle(params AddPetParams, principal interface{}) middleware.Responder

Handle executing the request and returning a response

type AddPetMethodNotAllowed

type AddPetMethodNotAllowed struct {
}

AddPetMethodNotAllowed Invalid input

swagger:response addPetMethodNotAllowed

func NewAddPetMethodNotAllowed added in v0.2.0

func NewAddPetMethodNotAllowed() AddPetMethodNotAllowed

NewAddPetMethodNotAllowed creates AddPetMethodNotAllowed with default headers values

func (*AddPetMethodNotAllowed) WriteResponse

func (o *AddPetMethodNotAllowed) WriteResponse(rw http.ResponseWriter, producer httpkit.Producer)

WriteResponse to the client

type AddPetParams

type AddPetParams struct {
	/*Pet object that needs to be added to the store
	  Required: true
	  In: body
	*/
	Body *models.Pet
}

AddPetParams contains all the bound params for the add pet operation typically these are obtained from a http.Request

swagger:parameters addPet

func NewAddPetParams added in v0.2.0

func NewAddPetParams() AddPetParams

NewAddPetParams creates a new AddPetParams object with the default values initialized.

func (*AddPetParams) BindRequest

func (o *AddPetParams) BindRequest(r *http.Request, route *middleware.MatchedRoute) error

BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls

type DeletePet

type DeletePet struct {
	Context *middleware.Context
	Params  DeletePetParams
	Handler DeletePetHandler
}

DeletePet swagger:route DELETE /pet/{petId} pet deletePet

Deletes a pet

func NewDeletePet

func NewDeletePet(ctx *middleware.Context, handler DeletePetHandler) *DeletePet

NewDeletePet creates a new http.Handler for the delete pet operation

func (*DeletePet) ServeHTTP

func (o *DeletePet) ServeHTTP(rw http.ResponseWriter, r *http.Request)

type DeletePetBadRequest

type DeletePetBadRequest struct {
}

DeletePetBadRequest Invalid pet value

swagger:response deletePetBadRequest

func NewDeletePetBadRequest added in v0.2.0

func NewDeletePetBadRequest() DeletePetBadRequest

NewDeletePetBadRequest creates DeletePetBadRequest with default headers values

func (*DeletePetBadRequest) WriteResponse

func (o *DeletePetBadRequest) WriteResponse(rw http.ResponseWriter, producer httpkit.Producer)

WriteResponse to the client

type DeletePetHandler

type DeletePetHandler interface {
	Handle(DeletePetParams, interface{}) middleware.Responder
}

DeletePetHandler interface for that can handle valid delete pet params

type DeletePetHandlerFunc

type DeletePetHandlerFunc func(DeletePetParams, interface{}) middleware.Responder

DeletePetHandlerFunc turns a function with the right signature into a delete pet handler

func (DeletePetHandlerFunc) Handle

func (fn DeletePetHandlerFunc) Handle(params DeletePetParams, principal interface{}) middleware.Responder

Handle executing the request and returning a response

type DeletePetParams

type DeletePetParams struct {
	/*
	  In: header
	*/
	APIKey string
	/*Pet id to delete
	  Required: true
	  In: path
	*/
	PetID int64
}

DeletePetParams contains all the bound params for the delete pet operation typically these are obtained from a http.Request

swagger:parameters deletePet

func NewDeletePetParams added in v0.2.0

func NewDeletePetParams() DeletePetParams

NewDeletePetParams creates a new DeletePetParams object with the default values initialized.

func (*DeletePetParams) BindRequest

func (o *DeletePetParams) BindRequest(r *http.Request, route *middleware.MatchedRoute) error

BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls

type FindPetsByStatus

type FindPetsByStatus struct {
	Context *middleware.Context
	Params  FindPetsByStatusParams
	Handler FindPetsByStatusHandler
}

FindPetsByStatus swagger:route GET /pet/findByStatus pet findPetsByStatus

Finds Pets by status

Multiple status values can be provided with comma seperated strings

func NewFindPetsByStatus

func NewFindPetsByStatus(ctx *middleware.Context, handler FindPetsByStatusHandler) *FindPetsByStatus

NewFindPetsByStatus creates a new http.Handler for the find pets by status operation

func (*FindPetsByStatus) ServeHTTP

func (o *FindPetsByStatus) ServeHTTP(rw http.ResponseWriter, r *http.Request)

type FindPetsByStatusBadRequest

type FindPetsByStatusBadRequest struct {
}

FindPetsByStatusBadRequest Invalid status value

swagger:response findPetsByStatusBadRequest

func NewFindPetsByStatusBadRequest added in v0.2.0

func NewFindPetsByStatusBadRequest() FindPetsByStatusBadRequest

NewFindPetsByStatusBadRequest creates FindPetsByStatusBadRequest with default headers values

func (*FindPetsByStatusBadRequest) WriteResponse

func (o *FindPetsByStatusBadRequest) WriteResponse(rw http.ResponseWriter, producer httpkit.Producer)

WriteResponse to the client

type FindPetsByStatusHandler

type FindPetsByStatusHandler interface {
	Handle(FindPetsByStatusParams, interface{}) middleware.Responder
}

FindPetsByStatusHandler interface for that can handle valid find pets by status params

type FindPetsByStatusHandlerFunc

type FindPetsByStatusHandlerFunc func(FindPetsByStatusParams, interface{}) middleware.Responder

FindPetsByStatusHandlerFunc turns a function with the right signature into a find pets by status handler

func (FindPetsByStatusHandlerFunc) Handle

func (fn FindPetsByStatusHandlerFunc) Handle(params FindPetsByStatusParams, principal interface{}) middleware.Responder

Handle executing the request and returning a response

type FindPetsByStatusOK

type FindPetsByStatusOK struct {

	// In: body
	Payload []*models.Pet `json:"body,omitempty"`
}

FindPetsByStatusOK successful operation

swagger:response findPetsByStatusOK

func NewFindPetsByStatusOK added in v0.2.0

func NewFindPetsByStatusOK() FindPetsByStatusOK

NewFindPetsByStatusOK creates FindPetsByStatusOK with default headers values

func (*FindPetsByStatusOK) WithPayload added in v0.2.0

func (o *FindPetsByStatusOK) WithPayload(payload []*models.Pet) *FindPetsByStatusOK

WithPayload adds the payload to the find pets by status o k response

func (*FindPetsByStatusOK) WriteResponse

func (o *FindPetsByStatusOK) WriteResponse(rw http.ResponseWriter, producer httpkit.Producer)

WriteResponse to the client

type FindPetsByStatusParams

type FindPetsByStatusParams struct {
	/*Status values that need to be considered for filter
	  Required: true
	  In: query
	  Collection Format: csv
	*/
	Status []string
}

FindPetsByStatusParams contains all the bound params for the find pets by status operation typically these are obtained from a http.Request

swagger:parameters findPetsByStatus

func NewFindPetsByStatusParams added in v0.2.0

func NewFindPetsByStatusParams() FindPetsByStatusParams

NewFindPetsByStatusParams creates a new FindPetsByStatusParams object with the default values initialized.

func (*FindPetsByStatusParams) BindRequest

func (o *FindPetsByStatusParams) BindRequest(r *http.Request, route *middleware.MatchedRoute) error

BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls

type FindPetsByTags

type FindPetsByTags struct {
	Context *middleware.Context
	Params  FindPetsByTagsParams
	Handler FindPetsByTagsHandler
}

FindPetsByTags swagger:route GET /pet/findByTags pet findPetsByTags

Finds Pets by tags

Muliple tags can be provided with comma seperated strings. Use tag1, tag2, tag3 for testing.

func NewFindPetsByTags

func NewFindPetsByTags(ctx *middleware.Context, handler FindPetsByTagsHandler) *FindPetsByTags

NewFindPetsByTags creates a new http.Handler for the find pets by tags operation

func (*FindPetsByTags) ServeHTTP

func (o *FindPetsByTags) ServeHTTP(rw http.ResponseWriter, r *http.Request)

type FindPetsByTagsBadRequest

type FindPetsByTagsBadRequest struct {
}

FindPetsByTagsBadRequest Invalid tag value

swagger:response findPetsByTagsBadRequest

func NewFindPetsByTagsBadRequest added in v0.2.0

func NewFindPetsByTagsBadRequest() FindPetsByTagsBadRequest

NewFindPetsByTagsBadRequest creates FindPetsByTagsBadRequest with default headers values

func (*FindPetsByTagsBadRequest) WriteResponse

func (o *FindPetsByTagsBadRequest) WriteResponse(rw http.ResponseWriter, producer httpkit.Producer)

WriteResponse to the client

type FindPetsByTagsHandler

type FindPetsByTagsHandler interface {
	Handle(FindPetsByTagsParams, interface{}) middleware.Responder
}

FindPetsByTagsHandler interface for that can handle valid find pets by tags params

type FindPetsByTagsHandlerFunc

type FindPetsByTagsHandlerFunc func(FindPetsByTagsParams, interface{}) middleware.Responder

FindPetsByTagsHandlerFunc turns a function with the right signature into a find pets by tags handler

func (FindPetsByTagsHandlerFunc) Handle

func (fn FindPetsByTagsHandlerFunc) Handle(params FindPetsByTagsParams, principal interface{}) middleware.Responder

Handle executing the request and returning a response

type FindPetsByTagsOK

type FindPetsByTagsOK struct {

	// In: body
	Payload []*models.Pet `json:"body,omitempty"`
}

FindPetsByTagsOK successful operation

swagger:response findPetsByTagsOK

func NewFindPetsByTagsOK added in v0.2.0

func NewFindPetsByTagsOK() FindPetsByTagsOK

NewFindPetsByTagsOK creates FindPetsByTagsOK with default headers values

func (*FindPetsByTagsOK) WithPayload added in v0.2.0

func (o *FindPetsByTagsOK) WithPayload(payload []*models.Pet) *FindPetsByTagsOK

WithPayload adds the payload to the find pets by tags o k response

func (*FindPetsByTagsOK) WriteResponse

func (o *FindPetsByTagsOK) WriteResponse(rw http.ResponseWriter, producer httpkit.Producer)

WriteResponse to the client

type FindPetsByTagsParams

type FindPetsByTagsParams struct {
	/*Tags to filter by
	  Required: true
	  In: query
	  Collection Format: csv
	*/
	Tags []string
}

FindPetsByTagsParams contains all the bound params for the find pets by tags operation typically these are obtained from a http.Request

swagger:parameters findPetsByTags

func NewFindPetsByTagsParams added in v0.2.0

func NewFindPetsByTagsParams() FindPetsByTagsParams

NewFindPetsByTagsParams creates a new FindPetsByTagsParams object with the default values initialized.

func (*FindPetsByTagsParams) BindRequest

func (o *FindPetsByTagsParams) BindRequest(r *http.Request, route *middleware.MatchedRoute) error

BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls

type GetPetByID

type GetPetByID struct {
	Context *middleware.Context
	Params  GetPetByIDParams
	Handler GetPetByIDHandler
}

GetPetByID swagger:route GET /pet/{petId} pet getPetById

Find pet by ID

Returns a single pet

func NewGetPetByID

func NewGetPetByID(ctx *middleware.Context, handler GetPetByIDHandler) *GetPetByID

NewGetPetByID creates a new http.Handler for the get pet by id operation

func (*GetPetByID) ServeHTTP

func (o *GetPetByID) ServeHTTP(rw http.ResponseWriter, r *http.Request)

type GetPetByIDBadRequest

type GetPetByIDBadRequest struct {
}

GetPetByIDBadRequest Invalid ID supplied

swagger:response getPetByIdBadRequest

func NewGetPetByIDBadRequest added in v0.2.0

func NewGetPetByIDBadRequest() GetPetByIDBadRequest

NewGetPetByIDBadRequest creates GetPetByIDBadRequest with default headers values

func (*GetPetByIDBadRequest) WriteResponse

func (o *GetPetByIDBadRequest) WriteResponse(rw http.ResponseWriter, producer httpkit.Producer)

WriteResponse to the client

type GetPetByIDHandler

type GetPetByIDHandler interface {
	Handle(GetPetByIDParams, interface{}) middleware.Responder
}

GetPetByIDHandler interface for that can handle valid get pet by id params

type GetPetByIDHandlerFunc

type GetPetByIDHandlerFunc func(GetPetByIDParams, interface{}) middleware.Responder

GetPetByIDHandlerFunc turns a function with the right signature into a get pet by id handler

func (GetPetByIDHandlerFunc) Handle

func (fn GetPetByIDHandlerFunc) Handle(params GetPetByIDParams, principal interface{}) middleware.Responder

Handle executing the request and returning a response

type GetPetByIDNotFound

type GetPetByIDNotFound struct {
}

GetPetByIDNotFound Pet not found

swagger:response getPetByIdNotFound

func NewGetPetByIDNotFound added in v0.2.0

func NewGetPetByIDNotFound() GetPetByIDNotFound

NewGetPetByIDNotFound creates GetPetByIDNotFound with default headers values

func (*GetPetByIDNotFound) WriteResponse

func (o *GetPetByIDNotFound) WriteResponse(rw http.ResponseWriter, producer httpkit.Producer)

WriteResponse to the client

type GetPetByIDOK

type GetPetByIDOK struct {

	// In: body
	Payload *models.Pet `json:"body,omitempty"`
}

GetPetByIDOK successful operation

swagger:response getPetByIdOK

func NewGetPetByIDOK added in v0.2.0

func NewGetPetByIDOK() GetPetByIDOK

NewGetPetByIDOK creates GetPetByIDOK with default headers values

func (*GetPetByIDOK) WithPayload added in v0.2.0

func (o *GetPetByIDOK) WithPayload(payload *models.Pet) *GetPetByIDOK

WithPayload adds the payload to the get pet by id o k response

func (*GetPetByIDOK) WriteResponse

func (o *GetPetByIDOK) WriteResponse(rw http.ResponseWriter, producer httpkit.Producer)

WriteResponse to the client

type GetPetByIDParams

type GetPetByIDParams struct {
	/*ID of pet to return
	  Required: true
	  In: path
	*/
	PetID int64
}

GetPetByIDParams contains all the bound params for the get pet by id operation typically these are obtained from a http.Request

swagger:parameters getPetById

func NewGetPetByIDParams added in v0.2.0

func NewGetPetByIDParams() GetPetByIDParams

NewGetPetByIDParams creates a new GetPetByIDParams object with the default values initialized.

func (*GetPetByIDParams) BindRequest

func (o *GetPetByIDParams) BindRequest(r *http.Request, route *middleware.MatchedRoute) error

BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls

type UpdatePet

type UpdatePet struct {
	Context *middleware.Context
	Params  UpdatePetParams
	Handler UpdatePetHandler
}

UpdatePet swagger:route PUT /pet pet updatePet

Update an existing pet

func NewUpdatePet

func NewUpdatePet(ctx *middleware.Context, handler UpdatePetHandler) *UpdatePet

NewUpdatePet creates a new http.Handler for the update pet operation

func (*UpdatePet) ServeHTTP

func (o *UpdatePet) ServeHTTP(rw http.ResponseWriter, r *http.Request)

type UpdatePetBadRequest

type UpdatePetBadRequest struct {
}

UpdatePetBadRequest Invalid ID supplied

swagger:response updatePetBadRequest

func NewUpdatePetBadRequest added in v0.2.0

func NewUpdatePetBadRequest() UpdatePetBadRequest

NewUpdatePetBadRequest creates UpdatePetBadRequest with default headers values

func (*UpdatePetBadRequest) WriteResponse

func (o *UpdatePetBadRequest) WriteResponse(rw http.ResponseWriter, producer httpkit.Producer)

WriteResponse to the client

type UpdatePetHandler

type UpdatePetHandler interface {
	Handle(UpdatePetParams, interface{}) middleware.Responder
}

UpdatePetHandler interface for that can handle valid update pet params

type UpdatePetHandlerFunc

type UpdatePetHandlerFunc func(UpdatePetParams, interface{}) middleware.Responder

UpdatePetHandlerFunc turns a function with the right signature into a update pet handler

func (UpdatePetHandlerFunc) Handle

func (fn UpdatePetHandlerFunc) Handle(params UpdatePetParams, principal interface{}) middleware.Responder

Handle executing the request and returning a response

type UpdatePetMethodNotAllowed

type UpdatePetMethodNotAllowed struct {
}

UpdatePetMethodNotAllowed Validation exception

swagger:response updatePetMethodNotAllowed

func NewUpdatePetMethodNotAllowed added in v0.2.0

func NewUpdatePetMethodNotAllowed() UpdatePetMethodNotAllowed

NewUpdatePetMethodNotAllowed creates UpdatePetMethodNotAllowed with default headers values

func (*UpdatePetMethodNotAllowed) WriteResponse

func (o *UpdatePetMethodNotAllowed) WriteResponse(rw http.ResponseWriter, producer httpkit.Producer)

WriteResponse to the client

type UpdatePetNotFound

type UpdatePetNotFound struct {
}

UpdatePetNotFound Pet not found

swagger:response updatePetNotFound

func NewUpdatePetNotFound added in v0.2.0

func NewUpdatePetNotFound() UpdatePetNotFound

NewUpdatePetNotFound creates UpdatePetNotFound with default headers values

func (*UpdatePetNotFound) WriteResponse

func (o *UpdatePetNotFound) WriteResponse(rw http.ResponseWriter, producer httpkit.Producer)

WriteResponse to the client

type UpdatePetParams

type UpdatePetParams struct {
	/*Pet object that needs to be added to the store
	  Required: true
	  In: body
	*/
	Body *models.Pet
}

UpdatePetParams contains all the bound params for the update pet operation typically these are obtained from a http.Request

swagger:parameters updatePet

func NewUpdatePetParams added in v0.2.0

func NewUpdatePetParams() UpdatePetParams

NewUpdatePetParams creates a new UpdatePetParams object with the default values initialized.

func (*UpdatePetParams) BindRequest

func (o *UpdatePetParams) BindRequest(r *http.Request, route *middleware.MatchedRoute) error

BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls

type UpdatePetWithForm

type UpdatePetWithForm struct {
	Context *middleware.Context
	Params  UpdatePetWithFormParams
	Handler UpdatePetWithFormHandler
}

UpdatePetWithForm swagger:route POST /pet/{petId} pet updatePetWithForm

Updates a pet in the store with form data

func NewUpdatePetWithForm

func NewUpdatePetWithForm(ctx *middleware.Context, handler UpdatePetWithFormHandler) *UpdatePetWithForm

NewUpdatePetWithForm creates a new http.Handler for the update pet with form operation

func (*UpdatePetWithForm) ServeHTTP

func (o *UpdatePetWithForm) ServeHTTP(rw http.ResponseWriter, r *http.Request)

type UpdatePetWithFormHandler

type UpdatePetWithFormHandler interface {
	Handle(UpdatePetWithFormParams, interface{}) middleware.Responder
}

UpdatePetWithFormHandler interface for that can handle valid update pet with form params

type UpdatePetWithFormHandlerFunc

type UpdatePetWithFormHandlerFunc func(UpdatePetWithFormParams, interface{}) middleware.Responder

UpdatePetWithFormHandlerFunc turns a function with the right signature into a update pet with form handler

func (UpdatePetWithFormHandlerFunc) Handle

func (fn UpdatePetWithFormHandlerFunc) Handle(params UpdatePetWithFormParams, principal interface{}) middleware.Responder

Handle executing the request and returning a response

type UpdatePetWithFormMethodNotAllowed

type UpdatePetWithFormMethodNotAllowed struct {
}

UpdatePetWithFormMethodNotAllowed Invalid input

swagger:response updatePetWithFormMethodNotAllowed

func NewUpdatePetWithFormMethodNotAllowed added in v0.2.0

func NewUpdatePetWithFormMethodNotAllowed() UpdatePetWithFormMethodNotAllowed

NewUpdatePetWithFormMethodNotAllowed creates UpdatePetWithFormMethodNotAllowed with default headers values

func (*UpdatePetWithFormMethodNotAllowed) WriteResponse

func (o *UpdatePetWithFormMethodNotAllowed) WriteResponse(rw http.ResponseWriter, producer httpkit.Producer)

WriteResponse to the client

type UpdatePetWithFormParams

type UpdatePetWithFormParams struct {
	/*Updated name of the pet
	  In: formData
	*/
	Name string
	/*ID of pet that needs to be updated
	  Required: true
	  In: path
	*/
	PetID int64
	/*Updated status of the pet
	  In: formData
	*/
	Status string
}

UpdatePetWithFormParams contains all the bound params for the update pet with form operation typically these are obtained from a http.Request

swagger:parameters updatePetWithForm

func NewUpdatePetWithFormParams added in v0.2.0

func NewUpdatePetWithFormParams() UpdatePetWithFormParams

NewUpdatePetWithFormParams creates a new UpdatePetWithFormParams object with the default values initialized.

func (*UpdatePetWithFormParams) BindRequest

func (o *UpdatePetWithFormParams) BindRequest(r *http.Request, route *middleware.MatchedRoute) error

BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls

type UploadFile added in v0.2.0

type UploadFile struct {
	Context *middleware.Context
	Params  UploadFileParams
	Handler UploadFileHandler
}

UploadFile swagger:route POST /pet/{petId}/uploadImage pet uploadFile

uploads an image

func NewUploadFile added in v0.2.0

func NewUploadFile(ctx *middleware.Context, handler UploadFileHandler) *UploadFile

NewUploadFile creates a new http.Handler for the upload file operation

func (*UploadFile) ServeHTTP added in v0.2.0

func (o *UploadFile) ServeHTTP(rw http.ResponseWriter, r *http.Request)

type UploadFileHandler added in v0.2.0

type UploadFileHandler interface {
	Handle(UploadFileParams, interface{}) middleware.Responder
}

UploadFileHandler interface for that can handle valid upload file params

type UploadFileHandlerFunc added in v0.2.0

type UploadFileHandlerFunc func(UploadFileParams, interface{}) middleware.Responder

UploadFileHandlerFunc turns a function with the right signature into a upload file handler

func (UploadFileHandlerFunc) Handle added in v0.2.0

func (fn UploadFileHandlerFunc) Handle(params UploadFileParams, principal interface{}) middleware.Responder

Handle executing the request and returning a response

type UploadFileOK added in v0.2.0

type UploadFileOK struct {

	// In: body
	Payload *models.APIResponse `json:"body,omitempty"`
}

UploadFileOK successful operation

swagger:response uploadFileOK

func NewUploadFileOK added in v0.2.0

func NewUploadFileOK() UploadFileOK

NewUploadFileOK creates UploadFileOK with default headers values

func (*UploadFileOK) WithPayload added in v0.2.0

func (o *UploadFileOK) WithPayload(payload *models.APIResponse) *UploadFileOK

WithPayload adds the payload to the upload file o k response

func (*UploadFileOK) WriteResponse added in v0.2.0

func (o *UploadFileOK) WriteResponse(rw http.ResponseWriter, producer httpkit.Producer)

WriteResponse to the client

type UploadFileParams added in v0.2.0

type UploadFileParams struct {
	/*Additional data to pass to server
	  In: formData
	*/
	AdditionalMetadata string
	/*file to upload
	  In: formData
	*/
	File httpkit.File
	/*ID of pet to update
	  Required: true
	  In: path
	*/
	PetID int64
}

UploadFileParams contains all the bound params for the upload file operation typically these are obtained from a http.Request

swagger:parameters uploadFile

func NewUploadFileParams added in v0.2.0

func NewUploadFileParams() UploadFileParams

NewUploadFileParams creates a new UploadFileParams object with the default values initialized.

func (*UploadFileParams) BindRequest added in v0.2.0

func (o *UploadFileParams) BindRequest(r *http.Request, route *middleware.MatchedRoute) error

BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls

Jump to

Keyboard shortcuts

? : This menu
/ : Search site
f or F : Jump to
y or Y : Canonical URL